
/**********************************************************************
 * $Id: arg-actual.h,v 1.3 92/04/20 16:09:02 drew Exp $
 **********************************************************************/

/**********************************************************************
 *	Copyright 1990,1991,1992 by The University of Toronto,
 *		       Toronto, Ontario, Canada.
 * 
 *			 All Rights Reserved
 * 
 * Permission to use, copy, modify, distribute,  and sell this software
 * and its documentation for any purpose is hereby granted without fee,
 * provided  that the above copyright notice  appears in all copies and
 * that both the copyright notice and this permission notice  appear in
 * supporting documentation, and  that  the  name of The University  of
 * Toronto  not  be used  in advertising   or publicity pertaining   to
 * distribution  of   the software   without  specific, written   prior
 * permission.  The  University  of Toronto  makes   no representations
 * about the  suitability  of  this software  for  any purpose.   It is
 * provided "as is" without express or implied warranty.
 *
 * THE  UNIVERSITY OF  TORONTO DISCLAIMS ALL WARRANTIES  WITH REGARD TO
 * THIS SOFTWARE,  INCLUDING ALL  IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS, IN NO EVENT  SHALL THE UNIVERSITY  OF TORONTO BE LIABLE
 * FOR ANY SPECIAL,  INDIRECT OR CONSEQUENTIAL  DAMAGES  OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF  USE, DATA OR PROFITS,  WHETHER IN
 * AN ACTION OF CONTRACT, NEGLIGENCE  OR OTHER TORTIOUS ACTION, ARISING
 * OUT  OF OR  IN  CONNECTION   WITH  THE  USE OR  PERFORMANCE  OF THIS
 * SOFTWARE.
 **********************************************************************/

#ifndef ARG_ACTUAL_H
#define ARG_ACTUAL_H

struct GLOBAL {
		/* to know whether when we can continue vector filling */
  int			last_simple_id;
  struct ARG_DESC	*arg_desc;
  int			debug;
  int			usage_on_error;
};


extern char **  ParseArgs        ARGS((struct ARG_DESC *arg_desc, 
				       int argc, char *argv[], int extra));
extern void     ArgErrorAbort    ARGS(());
extern void     ArgError         ARGS(());
extern int      ArgNElements     ARGS((char **ptr));

extern int use_plus_minus_options;

#define EXTRA_OPTIONS	1
#define EXTRA_ARGS	2
#define RETURN_DUP_ARGS	16

#endif				/* ARG_ACTUAL_H */
