/*
 * $Id: stack.h,v 1.2 91/06/06 16:43:34 xerion Exp $
 * 
 */

/**********************************************************************
 * Copyright 1990,1991 by University of Toronto, Toronto, Ontario, Canada.
 * 
 *			 All Rights Reserved
 * 
 * Permission to use, copy, modify, distribute, and sell this software
 * and its documentation for any purpose is hereby granted without fee, 
 * provided that the above copyright notice appears in all copies and that 
 * both the copyright notice and this permission notice appear in 
 * supporting documentation, and that the name of University of Toronto 
 * not be used in advertising or publicity pertaining to distribution 
 * of the software without specific, written prior permission.  
 * University of Toronto makes no representations about the suitability 
 * of this software for any purpose. It is provided "as is" without 
 * express or implied warranty. 
 *
 * UNIVERSITY OF TORONTO DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS 
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND 
 * FITNESS, IN NO EVENT SHALL UNIVERSITY OF TORONTO BE LIABLE FOR ANY 
 * SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER 
 * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF 
 * CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 **********************************************************************/

struct STACK {
  struct STACK_MEMBER *top;
  struct STACK_MEMBER *trash;
  int	height;
};

struct STACK_MEMBER {
  generic *item;
  struct STACK_MEMBER *next;
};

#define TempStackTop(TYPE, STACK) ((TYPE)((STACK)->top->item))
#define TempStackPush(STACK, THING) _TempStackPush(STACK, (generic *)(THING))
#define TempStackPop(TYPE, STACK) (TYPE)_TempStackPop(STACK)
#define TempStackHeight(STACK) ((STACK)->height)

void _TempStackPush ARGS((struct STACK *, generic *));
generic * _TempStackPop ARGS((struct STACK *));
struct STACK *TempStackNew NOARGS;

